;-----------------------------------------------------------------------------
;                                12F683            								    *								*
;                             -----uu-----                       
;                   +5 V ----| vdd    vss |---- Gnd
;                            | gp5    gp0 | 
;                            | gp4    gp1 | 
;                            | gp3    gp2 |---> LED 
;                             ------------ 
;
;-----------------------------------------------------------------------------


	list P=12F683,ST=OFF            ; Symbol Table listázásának kikapcsolása
        errorlevel  -302                ; Bankváltási figyelmeztetések tiltása

	#include "p12f683.inc"          ; processor specifikus definíciók

;-----------------------------------------------------------------------------
;  Konfigurációs bitek
;-----------------------------------------------------------------------------
; __config 0xF0E4
	__CONFIG _FOSC_INTOSCIO & _WDTE_OFF & _PWRTE_ON & _MCLRE_ON & _CP_OFF & _CPD_OFF & _BOREN_OFF & _IESO_OFF & _FCMEN_OFF

;-----------------------------------------------------------------------------
;  Változók deklarálása
;-----------------------------------------------------------------------------
        CBLOCK 0x20
	d1
	d2
	d3
        ENDC 


;-----------------------------------------------------------------------------
;  PROGRAM KÓD
;-----------------------------------------------------------------------------
	ORG     0x000           	; processor reset vector
	goto    MAIN            	; go to beginning of program

;-----------------------------------------------------------------------------
;  A FŐPROGRAM ITT KEZDŐDIK
;-----------------------------------------------------------------------------
MAIN:
        BANKSEL CMCON0                  ; Váltás Bank 0-ba
        MOVLW   b'00000111'             ; Analóg komparátor lekapcsolása
        MOVWF   CMCON0 
        CLRF    GPIO
        BANKSEL TRISIO                  ; Váltás Bank 1-be
        MOVLW   ~(1<<GP2)               ; (csak) GP2 legyen kimenet
        MOVWF   TRISIO
        CLRF ANSEL                      ; Digitális I/O engedélyezés 
        MOVLW   b'01110001'             ; Fosc = 8MHz, IntOsc a rendszer óra
        MOVWF   OSCCON
        banksel GPIO                    ; Bankváltás 0-ba

;-----------------------------------------------------------------------------
;  A VÉGTELEN CIKLUS KEZDETE
;-----------------------------------------------------------------------------
LOOP:   
        MOVLW   1<<GP2
        XORWF   GPIO,F                  ; LED állapot átbillentés
        CALL    Delay                   ; Késleltető függvény hívása
        goto    LOOP                    ; Ugrás a ciklus elejére

;-----------------------------------------------------------------------------
;  Delay függvény: 0.25 s késleltetés
;  (8 MHz órajel frekvencia esetén)
;-----------------------------------------------------------------------------
Delay
	
	movlw	0x03
	movwf	d1
	movlw	0x18
	movwf	d2
	movlw	0x02
	movwf	d3
Delay_0
	decfsz	d1, f
	goto	$+2
	decfsz	d2, f
	goto	$+2
	decfsz	d3, f
	goto	Delay_0
	goto	$+1
	return

;-----------------------------------------------------------------------------
	END                             ; 'program vége' direktíva
;-----------------------------------------------------------------------------



