#include <xc.h>
#define _XTAL_FREQ  8000000     // Fosc frekvencia (Hz)

//--- KONFIGURÁCIÓS  BITEK ----
#pragma config FOSC = INTOSCIO  // Belső oszcillátor, I/O funkcióval)
#pragma config WDTE = OFF       // Watchdog Timer letiltva 
#pragma config PWRTE = OFF      // Power-up Timer letiltva  
#pragma config MCLRE = ON       // MCLR RESET funkció engedélyezve  
#pragma config CP = OFF         // Flash memória kódvédelem letiltva  
#pragma config CPD = OFF        // EEPROM memória adatvédelem letiltva)  
#pragma config BOREN = OFF      // Brown-out Reset letiltva  


//--- FŐPROGRAM -------------
void main() {
    //--- Inicializálás ------- 
    OSCCON = 0x70;              // Fosc legyen 8 MHz
    CMCON0 = 0x07;              // Kikapcsolja az analóg komparátort
    GPIO = 0;                   // GPIO kezdetben nulle legyen  
    TRISIO = ~_GPIO_GP2_MASK;   // Csak GP2 legyen kimenet

    //--- Fő programhurok -----
    for (;;) {
        GPIO |= _GPIO_GP2_MASK; // LED (GP2) bekapcsolása    
        __delay_ms(200);        // 200 ms várakozás
        GPIO &= ~_GPIO_GP2_MASK;// LED kikapcsolás (GP2 törlés))
        __delay_ms(800);        // 800 ms várakozás
    }                           // végtelenségig ismételjük...
}

