/*
 * File:   uart.c
 * Author: Henry Chung
 * Link: http://bzzt.io/posts/understanding-the-usart-on-8-bit-pic-microcontrollers-using-xc8
 */


#include <xc.h>
#include <stdio.h>
#include "usart.h"

void putch(unsigned char byte) {
    /* output one byte */
    while(!TXIF);    /* set when register is empty */
    TXREG = byte;
}

unsigned char getch() {
    /* retrieve one byte */
    while(!RCIF);    /* set when register is not empty */
    return RCREG;
}

unsigned char getche(void) {
    /* retrieve one byte with echo */
    unsigned char c;
    putch(c = getch());
    return c;
}